package main

import (
	"fmt"
	"io"
	"net/http"
	"os"
	"strings"
	"time"
)

func die(format string, a ...any) {
	if !strings.HasSuffix(format, "\n") {
		format += "\n"
	}
	fmt.Fprintf(os.Stderr, format, a...)
	os.Exit(1)
}

func main() {
	if len(os.Args) != 2 {
		die("Usage: %s URL", os.Args[0])
	}
	// url can be http or https
	url := os.Args[1]

	client := &http.Client{
		Timeout: 5 * time.Second,
	}

	resp, err := client.Get(url)
	if err != nil {
		die("error: %v", err)
	}
	defer resp.Body.Close()

	io.Copy(os.Stdout, resp.Body)
}
